nvme_ctrl_get_fd(2)

NAME
nvme_ctrl_get_fd - Get associated file descriptor

SYNOPSIS
int nvme_ctrl_get_fd (nvme_ctrl_t c );

ARGUMENTS

c   Controller instance

DESCRIPTION
libnvme will open the file (if not already opened) and keep an internal copy of the file descriptor. Following calls to this API retrieve the internal cached copy of the file descriptor. The file will remain opened and the fd will remain cached until the controller object is deleted or nvme_ctrl_release_fd is called.

RETURN
File descriptor associated with c or -1